Download JOpera

A binary distribution of JOpera for Eclipse is currently available from this site. The latest version of JOpera is 2.6.0

To download and install JOpera,
simply tell Eclipse about the JOpera update site:

You can also install JOpera from the command line.

System Requirements

JOpera 2.6.0 and above runs on Eclipse 3.7 Indigo on Java 1.6
JOpera 2.5.4 and above runs on Eclipse 3.6 Helios (32bit) on Java 1.6
JOpera 2.5.0 and above runs on Eclipse 3.6 Helios (32bit) on Java 1.5/1.6
JOpera 2.4.6 and above runs on Eclipse 3.5 Galileo on Java 1.5/1.6

JOpera 2.3.0 and above runs on Eclipse 3.3 Europa/3.4 Ganymede on Java 1.5/1.6.

JOpera 2.1.2 runs on Eclipse 3.2.1 with GEF 3.2 on Java 1.4 (not 1.5).
The new Web Monitor only supports Firefox.

Previous versions of JOpera (1.15) require Eclipse 3.1.1, also on Java 1.4.

Old Versions

You can access all versions of JOpera up to 2.4.7 from the archive update site:

You can navigate back on the JOpera archive update site by appending /old multiple times


Make sure you do a full rebuild of your JOpera projects after upgrading to a new version or switching to a different version of Java.

Installing on Galileo

If you are trying to install an old version of JOpera on Galileo, make sure you uncheck the "Group items by category" box in the new installation wizard of Eclipse Galileo.

Ganymede P2

Note: After adding the JOpera update site URL it may be necessary to close and reopen the new P2 Update Manager dialog before proceeding with the installation of JOpera on Eclipse 3.4 Ganymede. Also, the features will not be correctly categorized.

Release History


To keep improving JOpera, we are thankful for your feedback!

Download problems

It seems that the JOpera update site listed above is blocked from the great firewall of China.
Let us know if you have problems downloading JOpera.